Bug 242807 - missing dlm_hold_rsb() causes assertion failure
missing dlm_hold_rsb() causes assertion failure
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: David Teigland
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2007-06-05 17:24 EDT by David Teigland
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-07 14:51:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to resolve the problem (380 bytes, patch)
2007-06-05 17:39 EDT, Josef Bacik
no flags Details | Diff
full patch (1.33 KB, patch)
2007-06-05 17:46 EDT, Josef Bacik
no flags Details | Diff

  None (edit)
Description David Teigland 2007-06-05 17:24:55 EDT
Description of problem:

Recent patch adding hold/put rsb in debugfs dumps was missing a hold in
one spot which caused an assertion failure when the extra put caused the
premature deletion of the rsb.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Josef Bacik 2007-06-05 17:39:54 EDT
Created attachment 156283 [details]
patch to resolve the problem

this patch adds in the dlm_rsb_hold so we don't run into this problem.
Comment 2 RHEL Product and Program Management 2007-06-05 17:44:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 3 Josef Bacik 2007-06-05 17:46:49 EDT
Created attachment 156284 [details]
full patch

Hmm looks like we need the full patch for RHEL5 as the previous patch has not
been posted yet.  This patch is the complete and correct solution to the rsb
problem for RHEL5.
Comment 5 Don Zickus 2007-06-15 20:32:15 EDT
in 2.6.18-27.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 Mike Gahagan 2007-09-26 13:29:34 EDT
confirmed the fix is in the -50.el5 kernel.
Comment 9 errata-xmlrpc 2007-11-07 14:51:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.